<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

?>
<div class="block discount" id="block-discount" >
    <div class="row">
      <div class="col-md-12 col-lg-4">
        <div class="title" data-role="title">
            <strong id="block-discount-heading" role="heading" aria-level="2"><?php /* @escapeNotVerified */ echo __('Apply Discount Code') ?></strong>
        </div>
      </div>
      <div class="col-md-12 col-lg-8">
        <div class="content" data-role="content" aria-labelledby="block-discount-heading">
            <form id="discount-coupon-form"
                  action="<?php /* @escapeNotVerified */ echo $block->getUrl('checkout/cart/couponPost') ?>"
                  method="post"
                  data-mage-init='{"discountCode":{"couponCodeSelector": "#coupon_code",
                                                   "removeCouponSelector": "#remove-coupon",
                                                   "applyButton": "button.action.apply",
                                                   "cancelButton": "button.action.cancel"}}'>
                <div class="fieldset coupon<?php strlen($block->getCouponCode()) ? ' applied' : ''?>">
                    <input type="hidden" name="remove" id="remove-coupon" value="0" />
                    <div class="row">
                      <div class="col-md-8 coupon-field">
                        <div class="field">
                            <div class="control">
                                <input type="text" class="input-text" id="coupon_code" name="coupon_code" value="<?php echo $block->escapeHtml($block->getCouponCode()) ?>" placeholder="<?php echo $block->escapeHtml(__('PROMO CODE'));?>" />
                            </div>
                        </div>
                      </div>
                      <div class="col-md-4 coupon-btn">
                        <div class="actions-toolbar">
                            <?php if (!strlen($block->getCouponCode())): ?>
                            <div class="primary">
                                <button class="action btn btn-secondary apply" type="button" value="<?php /* @escapeNotVerified */ echo __('Apply') ?>">
                                    <span><?php /* @escapeNotVerified */ echo __('Apply') ?></span>
                                </button>
                            </div>
                            <?php else: ?>
                                <div class="primary">
                                    <button  type="button" class="action btn btn-primary cancel" value="<?php /* @escapeNotVerified */ echo __('Cancel') ?>"><span><?php /* @escapeNotVerified */ echo __('Cancel') ?></span></button>
                                </div>
                            <?php endif; ?>
                        </div>
                      </div>
                    </div>
                </div>
            </form>
        </div>
      </div>
    </div>
</div>
